/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
const e = "editor.bold", t = "editor.italic", i = "editor.underline", o = "editor.strikethrough", n = "editor.subscript", r = "editor.superscript", l = "editor.hyperlink", d = "editor.insertFile", a = "editor.print", c = "editor.selectAll", s = "editor.cleanFormatting", p = "editor.pdf", g = "editor.foregroundColor", f = "editor.backgroundColor", m = "editor.foregroundColorAriaLabel", R = "editor.backgroundColorAriaLabel", h = "editor.createTable", u = "editor.insertTableHint", C = "editor.addRowBefore", b = "editor.addRowAfter", w = "editor.addColumnBefore", k = "editor.addColumnAfter", T = "editor.deleteRow", A = "editor.deleteColumn", y = "editor.deleteTable", I = "editor.mergeCells", F = "editor.splitCell", H = "editor.hyperlink-dialog-title", x = "editor.hyperlink-dialog-content-address", W = "editor.hyperlink-dialog-content-title", M = "editor.hyperlink-dialog-content-newwindow", v = "editor.hyperlink-dialog-cancel", L = "editor.hyperlink-dialog-insert", S = "editor.insertfile-dialog-title", D = "editor.insertfile-dialog-content-address", B = "editor.insertfile-dialog-content-title", N = "editor.insertfile-dialog-cancel", E = "editor.insertfile-dialog-insert", P = "editor.image", U = "editor.image-dialog-title", z = "editor.image-address", J = "editor.image-title", O = "editor.image-altText", V = "editor.image-width", G = "editor.image-height", j = "editor.image-cancel", q = "editor.image-insert", K = "editor.viewHtml", Q = "editor.viewHtml-dialog-title", X = "editor.viewHtml-cancel", Y = "editor.viewHtml-update", Z = "editor.unlink", _ = "editor.undo", $ = "editor.redo", ee = "editor.fontSize", te = "editor.fontName", ie = "editor.format", oe = "editor.alignLeft", ne = "editor.alignRight", re = "editor.alignCenter", le = "editor.alignJustify", de = "editor.indent", ae = "editor.outdent", ce = "editor.orderedList", se = "editor.bulletList", pe = "editor.findReplace-tool-title", ge = "editor.findReplace-dialog-title", fe = "editor.findReplace-tab-find", me = "editor.findReplace-tab-replace", Re = "editor.findReplace-findWhat", he = "editor.findReplace-replaceWith", ue = "editor.findReplace-replace", Ce = "editor.findReplace-replaceAll", be = "editor.findReplace-matchCase", we = "editor.findReplace-matchWord", ke = "editor.findReplace-matchCyclic", Te = "editor.findReplace-useRegExp", Ae = "editor.findReplace-prevMatch", ye = "editor.findReplace-nextMatch", Ie = "editor.findReplace-matches", Fe = "editor.iframeTitle", He = {
  [e]: "Bold",
  [t]: "Italic",
  [i]: "Underline",
  [o]: "Strikethrough",
  [n]: "Subscript",
  [r]: "Superscript",
  [Z]: "Remove hyperlink",
  [_]: "Undo",
  [$]: "Redo",
  [ee]: "Font Size",
  [te]: "Font Name",
  [ie]: "Format",
  [oe]: "Align text left",
  [ne]: "Align text right",
  [re]: "Center text",
  [le]: "Justify",
  [de]: "Indent",
  [ae]: "Outdent",
  [ce]: "Insert ordered list",
  [se]: "Insert unordered list",
  [a]: "Print",
  [c]: "Select All",
  [s]: "Clean formatting",
  [p]: "Export as PDF",
  [g]: "Color",
  [f]: "Background color",
  [m]: "Set ForeGround color",
  [R]: "Set Background color",
  // Tables
  [h]: "Create a table",
  [u]: "Create a {0} x {1} table",
  [C]: "Add row above",
  [b]: "Add row below",
  [w]: "Add column on the left",
  [k]: "Add column on the right",
  [T]: "Delete row",
  [A]: "Delete column",
  [y]: "Delete table",
  [I]: "Merge cells",
  [F]: "Split cell",
  // Insert Link
  [l]: "Insert hyperlink",
  [H]: "Insert hyperlink",
  [x]: "Web address",
  [W]: "Title",
  [M]: "Open link in new window",
  [v]: "Cancel",
  [L]: "Insert",
  // Insert File
  [d]: "Insert file",
  [S]: "Insert file",
  [D]: "Web address",
  [B]: "Title",
  [N]: "Cancel",
  [E]: "Insert",
  // Insert Image
  [P]: "Insert image",
  [U]: "Insert image",
  [z]: "Web address",
  [J]: "Title",
  [O]: "Alternate text",
  [V]: "Width (px)",
  [G]: "Height (px)",
  [j]: "Cancel",
  [q]: "Insert",
  // View HTML
  [K]: "View HTML",
  [Q]: "View HTML",
  [X]: "Cancel",
  [Y]: "Update",
  // Find and Replace
  [pe]: "Find and Replace",
  [ge]: "Find and Replace",
  [fe]: "Find",
  [me]: "Replace",
  [Re]: "Find What:",
  [he]: "Replace With",
  [ue]: "Replace",
  [Ce]: "Replace All",
  [be]: "Match Case",
  [we]: "Match whole word only",
  [ke]: "Match cyclic (Wrap around)",
  [Te]: "Regular Expression",
  [Ae]: "Prev",
  [ye]: "Next",
  [Ie]: "{0} of {1} matches",
  [Fe]: "Editable area. Press Alt + F10 for toolbar."
}, xe = {
  bold: e,
  italic: t,
  underline: i,
  strikethrough: o,
  subscript: n,
  superscript: r,
  unlink: Z,
  undo: _,
  redo: $,
  fontSize: ee,
  fontName: te,
  format: ie,
  alignLeft: oe,
  alignRight: ne,
  alignCenter: re,
  alignJustify: le,
  indent: de,
  outdent: ae,
  orderedList: ce,
  bulletList: se,
  print: a,
  selectAll: c,
  cleanFormatting: s,
  pdf: p,
  foregroundColor: g,
  backgroundColor: f,
  foregroundColorAriaLabel: m,
  backgroundColorAriaLabel: R,
  createTable: h,
  createTableHint: u,
  addRowBefore: C,
  addRowAfter: b,
  addColumnBefore: w,
  addColumnAfter: k,
  deleteRow: T,
  deleteColumn: A,
  deleteTable: y,
  mergeCells: I,
  splitCell: F,
  insertHyperlink: l,
  insertHyperlinkDialogTitle: H,
  insertHyperlinkAddress: x,
  insertHyperlinkTitle: W,
  insertHyperlinkNewWindow: M,
  insertHyperlinkCancel: v,
  insertHyperlinkInsert: L,
  insertFile: d,
  insertFileDialogTitle: S,
  insertFileAddress: D,
  insertFileTitle: B,
  insertFileCancel: N,
  insertFileInsert: E,
  insertImage: P,
  insertImageDialogTitle: U,
  insertImageAddress: z,
  insertImageTitle: J,
  insertImageAltText: O,
  insertImageWidth: V,
  insertImageHeight: G,
  insertImageCancel: j,
  insertImageInsert: q,
  viewHtml: K,
  viewHtmlDialogTitle: Q,
  viewHtmlCancel: X,
  viewHtmlUpdate: Y,
  findReplaceToolTitle: pe,
  findReplaceDialogTitle: ge,
  findReplaceTabFind: fe,
  findReplaceTabReplace: me,
  findReplaceFindWhat: Re,
  findReplaceReplaceWith: he,
  findReplaceReplace: ue,
  findReplaceReplaceAll: Ce,
  findReplaceMatchCase: be,
  findReplaceMatchWord: we,
  findReplaceMatchCyclic: ke,
  findReplaceUseRegExp: Te,
  findReplacePrevMatch: Ae,
  findReplaceNextMatch: ye,
  findReplaceMatches: Ie,
  iframeTitle: Fe
};
export {
  xe as keys,
  He as messages
};
