/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { Button as i } from "@progress/kendo-vue-buttons";
import { provideLocalizationService as r } from "@progress/kendo-vue-intl";
import { messages as c } from "../messages/main.mjs";
import { selectAll as p } from "@progress/kendo-editor-common";
import { EditorToolsSettings as a } from "../config/toolsSettings.mjs";
import { defineComponent as m, h } from "vue";
const {
  selectAll: f
} = a, A = /* @__PURE__ */ m({
  name: "KendoSelectAll",
  props: {
    view: Object,
    settings: Object,
    ...i.props
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  render() {
    const {
      view: t,
      settings: e = f,
      ...s
    } = this.$props, o = e.messages.title, n = r(this), l = {
      ...s,
      title: n.toLanguageString(o, c[o]),
      ...e.props
    };
    return h(i, {
      onClick: this.handleClick,
      onMousedown: this.preventDefault,
      onPointerdown: this.preventDefault,
      ...l
    });
  },
  methods: {
    handleClick() {
      this.view && (p(this.view.state, this.view.dispatch), this.view.focus());
    },
    preventDefault(t) {
      t.preventDefault();
    }
  }
});
export {
  A as SelectAll
};
