/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./Editor.js"),o=require("./config/toolsSettings.js"),l=require("./utils/main.js"),e=require("@progress/kendo-editor-common"),n=require("./tools/align.js"),r=require("./tools/indent.js"),i=require("./tools/lists.js"),a=require("./tools/outdent.js"),s=require("./tools/inlineFormat.js"),d=require("./tools/fontStyle.js"),p=require("./tools/formatBlock.js"),c=require("./tools/proseMirrorTool.js"),u=require("./tools/insertLink.js"),m=require("./tools/unlink.js"),g=require("./tools/cleanFormatting.js"),S=require("./tools/selectAll.js"),C=require("./tools/insertImage.js"),R=require("./tools/insertTable/tool.js"),y=require("./tools/viewHtml.js"),T=require("./tools/pdf.js"),k=require("./tools/print.js"),w=require("./tools/findReplace.js"),I=require("./tools/applyColor.js"),b=e.columnResizingPluginKey,f={Selection:e.Selection,SelectionRange:e.SelectionRange,TextSelection:e.TextSelection,NodeSelection:e.NodeSelection,AllSelection:e.AllSelection,EditorState:e.EditorState,Plugin:e.Plugin,PluginKey:e.PluginKey,Transaction:e.Transaction,Decoration:e.Decoration,DecorationSet:e.DecorationSet,EditorView:e.EditorView,Node:e.Node,ResolvedPos:e.ResolvedPos,NodeRange:e.NodeRange,Fragment:e.Fragment,Slice:e.Slice,ReplaceError:e.ReplaceError,Mark:e.Mark,Schema:e.Schema,NodeType:e.NodeType,MarkType:e.MarkType,ContentMatch:e.ContentMatch,DOMParser:e.DOMParser,DOMSerializer:e.DOMSerializer,Transform:e.Transform,Step:e.Step,StepResult:e.StepResult,joinPoint:e.joinPoint,canJoin:e.canJoin,canSplit:e.canSplit,insertPoint:e.insertPoint,dropPoint:e.dropPoint,liftTarget:e.liftTarget,findWrapping:e.findWrapping,StepMap:e.StepMap,MapResult:e.MapResult,Mapping:e.Mapping,AddMarkStep:e.AddMarkStep,RemoveMarkStep:e.RemoveMarkStep,ReplaceStep:e.ReplaceStep,ReplaceAroundStep:e.ReplaceAroundStep,replaceStep:e.replaceStep,deleteSelection:e.deleteSelection,joinBackward:e.joinBackward,selectNodeBackward:e.selectNodeBackward,joinForward:e.joinForward,selectNodeForward:e.selectNodeForward,joinUp:e.joinUp,joinDown:e.joinDown,lift:e.lift,newlineInCode:e.newlineInCode,exitCode:e.exitCode,createParagraphNear:e.createParagraphNear,liftEmptyBlock:e.liftEmptyBlock,splitBlock:e.splitBlock,splitBlockKeepMarks:e.splitBlockKeepMarks,selectParentNode:e.selectParentNode,selectAll:e.selectAll,wrapIn:e.wrapIn,setBlockType:e.setBlockType,toggleMark:e.toggleMark,autoJoin:e.autoJoin,chainCommands:e.chainCommands,pcBaseKeymap:e.pcBaseKeymap,macBaseKeymap:e.macBaseKeymap,baseKeymap:e.baseKeymap,history:e.history,undo:e.undo,redo:e.redo,undoDepth:e.undoDepth,redoDepth:e.redoDepth,InputRule:e.InputRule,inputRules:e.inputRules,undoInputRule:e.undoInputRule,emDash:e.emDash,ellipsis:e.ellipsis,openDoubleQuote:e.openDoubleQuote,closeDoubleQuote:e.closeDoubleQuote,openSingleQuote:e.openSingleQuote,closeSingleQuote:e.closeSingleQuote,smartQuotes:e.smartQuotes,wrappingInputRule:e.wrappingInputRule,textblockTypeInputRule:e.textblockTypeInputRule,keymap:e.keymap,keydownHandler:e.keydownHandler,orderedList:e.orderedList,bulletList:e.bulletList,listItem:e.listItem,addListNodes:e.addListNodes,wrapInList:e.wrapInList,splitListItem:e.splitListItem,liftListItem:e.liftListItem,sinkListItem:e.sinkListItem,dropCursor:e.dropCursor,gapCursor:e.gapCursor,tableEditing:e.tableEditing,fixTables:e.fixTables,fixTablesKey:e.fixTablesKey,cellAround:e.cellAround,isInTable:e.isInTable,selectionCell:e.selectionCell,moveCellForward:e.moveCellForward,inSameTable:e.inSameTable,findCell:e.findCell,colCount:e.colCount,nextCell:e.nextCell,removeColSpan:e.removeColSpan,addColSpan:e.addColSpan,columnIsHeader:e.columnIsHeader,tableNodes:e.tableNodes,tableNodeTypes:e.tableNodeTypes,CellSelection:e.CellSelection,TableMap:e.TableMap,tableEditingKey:e.tableEditingKey,columnResizing:e.columnResizing,columnResizingPluginKey:b,updateColumnsOnResize:e.updateColumnsOnResize,selectedRect:e.selectedRect,addColumn:e.addColumn,addColumnBefore:e.addColumnBefore,addColumnAfter:e.addColumnAfter,deleteColumn:e.deleteColumn,rowIsHeader:e.rowIsHeader,addRow:e.addRow,addRowBefore:e.addRowBefore,addRowAfter:e.addRowAfter,deleteRow:e.deleteRow,mergeCells:e.mergeCells,splitCell:e.splitCell,splitCellWithType:e.splitCellWithType,setCellAttr:e.setCellAttr,toggleHeader:e.toggleHeader,toggleHeaderRow:e.toggleHeaderRow,toggleHeaderColumn:e.toggleHeaderColumn,toggleHeaderCell:e.toggleHeaderCell,goToNextCell:e.goToNextCell,deleteTable:e.deleteTable};exports.Editor=t.Editor;Object.defineProperty(exports,"EditorToolsSettings",{enumerable:!0,get:()=>o.EditorToolsSettings});Object.defineProperty(exports,"EditorUtils",{enumerable:!0,get:()=>l.EditorUtils});exports.Align=n.Align;exports.Indent=r.Indent;exports.List=i.List;exports.Outdent=a.Outdent;exports.InlineFormat=s.InlineFormat;exports.FontName=d.FontName;exports.FormatBlock=p.FormatBlock;exports.ProseMirrorTool=c.ProseMirror;exports.LinkTool=u.LinkTool;exports.Unlink=m.Unlink;exports.CleanFormatting=g.CleanFormatting;exports.SelectAll=S.SelectAll;exports.InsertImage=C.InsertImage;exports.InsertTable=R.InsertTable;exports.ViewHtml=y.ViewHtml;exports.Pdf=T.Pdf;exports.Print=k.Print;exports.FindAndReplace=w.FindAndReplace;exports.ApplyColor=I.ApplyColor;exports.ProseMirror=f;
